# Uses of Class
org.eclipse.swt.widgets.CoolBar

Packages that use CoolBar
Package
Description
org.eclipse.swt.widgets

## Uses of CoolBar in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return CoolBar
Modifier and Type
Method
Description
`CoolBar`
CoolItem.`getParent()`
Returns the receiver's parent, which must be a `CoolBar`.
Constructors in org.eclipse.swt.widgets with parameters of type CoolBar
Modifier
Constructor
Description
``
`CoolItem(CoolBar parent, int style)`
Constructs a new instance of this class given its parent (which must be a `CoolBar`) and a style value describing its behavior and appearance.
``
`CoolItem(CoolBar parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `CoolBar`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.